/* -- star rating styling -- */
div.star_rating {
    float: right;
}

input.star {
   border: 0;
   width: 1px;
   height: 1px;
   overflow: hidden;
   position: absolute !important;
   clip: rect(1px 1px 1px 1px);
   clip: rect(1px, 1px, 1px, 1px);
   opacity: 0;
   float: right;
}

label.star {
   position: relative;
   float: right;
   color: #C8C8C8;
}

label.star:before {
   margin: 5px;
   content: "\f005";
   font-family: FontAwesome;
   font-size: 1.5em;
   color: #f8f32b;
   /* -webkit-user-select: none; /* Safari 3.1+ */
   /* -moz-user-select: none; Firefox 2+ */
   /* -ms-user-select: none; IE 10+ */ 
   user-select: none;
}

input.star:checked ~ label.star:before {
   color: #5EBAD0;
}

label.star:hover ~ label.star:before {
   color: #5EBAD0;
}

label.star:hover:before {
   color: #5EBAD0;
}